#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire10two4xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 10"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire10two4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two104xi            # 10   - 90 

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 10
# -------------------------------------------------------------------------------------------------
shot2two104xi = {
        1:'0x-27y-41z',
        2:'0x-27y-42z',
        3:'0x-6y-7z',
        4:'0x0y-29z',
        5:'0x0y-69z',
        6:'10x-20y-44z',
        7:'10x-21y-44z',
        8:'11x-19y-44z',
        9:'11x-27y0z',
        10:'12x-1y-27z',
        11:'12x-27y0z',
        12:'12x0y-27z',
        13:'13x-1y-26z',
        14:'13x-2y-26z',
        15:'13x-3y-26z',
        16:'13x-4y-26z',
        17:'13x-5y-26z',
        18:'13x-68y-4z',
        19:'14x-26y0z',
        20:'15x-20y-53z',
        21:'15x-22y-53z',
        22:'15x-25y0z',
        23:'16x-19y-54z',
        24:'16x-24y0z',
        25:'16x-67y-4z',
        26:'17x-16y-54z',
        27:'17x-18y-54z',
        28:'18x-13y-55z',
        29:'18x-14y-55z',
        30:'18x-15y-54z',
        31:'18x-23y0z',
        32:'19x-10y-55z',
        33:'19x-11y-55z',
        34:'19x-22y-1z',
        35:'19x-7y-56z',
        36:'19x-9y-56z',
        37:'19x0y-67z',
        38:'1x-5y-7z',
        39:'1x-6y-7z',
        40:'20x-1y-67z',
        41:'20x-21y-1z',
        42:'20x-2y-66z',
        43:'20x-66y-5z',
        44:'21x-20y-1z',
        45:'21x-3y-66z',
        46:'21x-5y-66z',
        47:'21x-6y-66z',
        48:'22x-19y-2z',
        49:'22x-7y-65z',
        50:'23x-18y-2z',
        51:'27x-74y-7z',
        52:'2x-26y-42z',
        53:'2x-5y-7z',
        54:'2x-5y-8z',
        55:'2x-69y-2z',
        56:'31x-73y-8z',
        57:'32x-22y-3z',
        58:'33x-21y-3z',
        59:'34x-19y-4z',
        60:'34x-71y-8z',
        61:'35x-17y-4z',
        62:'36x-15y-5z',
        63:'37x-11y-5z',
        64:'37x-13y-5z',
        65:'38x-5y-7z',
        66:'38x-69y-9z',
        67:'38x-7y-6z',
        68:'38x-9y-6z',
        69:'39x-1y-7z',
        70:'39x-3y-7z',
        71:'3x-25y-42z',
        72:'42x-67y-10z',
        73:'45x-64y-11z',
        74:'48x-62y-12z',
        75:'4x-25y-42z',
        76:'51x-59y-12z',
        77:'54x-56y-13z',
        78:'57x-53y-14z',
        79:'5x-10y-16z',
        80:'5x-24y-43z',
        81:'60x-50y-15z',
        82:'62x-47y-15z',
        83:'6x-69y-2z',
        84:'6x-9y-16z',
        85:'72x-49y-18z',
        86:'7x-23y-43z',
        87:'7x-6y0z',
        88:'7x-7y-16z',
        89:'7x-7y0z',
        90:'7x-8y-16z',
        91:'8x-23y-43z',
        92:'8x-4y-17z',
        93:'8x-4y0z',
        94:'8x-5y-17z',
        95:'8x-5y0z',
        96:'8x-6y-16z',
        97:'8x-6y-17z',
        98:'8x-7y-16z',
        99:'9x-1y0z',
        100:'9x-22y-43z',
        101:'9x-28y0z',
        102:'9x-2y0z',
        103:'9x-3y0z',
        104:'9x-4y0z',
        105:'9x-69y-3z',
        106:'9x0y0z'}
        
#"
#"/>
    
        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire10two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire10two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE10TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE10TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE10TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE10TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE10TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two104xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE10TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE10TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE10TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE10TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE10TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE10TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>

#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire10two4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        